import { createAsyncThunk } from "@reduxjs/toolkit";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import axios from "axios";

export const citySubmitManageHatchingRenterService = createAsyncThunk(
  "CITY_SUBMIT_MANAGE_HATCHING_RENTER_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.put(`/poultry_hatching/0/`, d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
